# Form implementation generated from reading ui file 'src/eric7/WebBrowser/History/HistoryDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HistoryDialog(object):
    def setupUi(self, HistoryDialog):
        HistoryDialog.setObjectName("HistoryDialog")
        HistoryDialog.resize(750, 450)
        HistoryDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(HistoryDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setSpacing(0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.searchEdit = QtWidgets.QLineEdit(parent=HistoryDialog)
        self.searchEdit.setClearButtonEnabled(True)
        self.searchEdit.setObjectName("searchEdit")
        self.horizontalLayout.addWidget(self.searchEdit)
        self.horizontalLayout_2.addLayout(self.horizontalLayout)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.historyTree = EricTreeView(parent=HistoryDialog)
        self.historyTree.setAlternatingRowColors(True)
        self.historyTree.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.historyTree.setTextElideMode(QtCore.Qt.TextElideMode.ElideMiddle)
        self.historyTree.setUniformRowHeights(True)
        self.historyTree.setObjectName("historyTree")
        self.verticalLayout.addWidget(self.historyTree)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.removeButton = QtWidgets.QPushButton(parent=HistoryDialog)
        self.removeButton.setAutoDefault(False)
        self.removeButton.setObjectName("removeButton")
        self.horizontalLayout_3.addWidget(self.removeButton)
        self.removeAllButton = QtWidgets.QPushButton(parent=HistoryDialog)
        self.removeAllButton.setAutoDefault(False)
        self.removeAllButton.setObjectName("removeAllButton")
        self.horizontalLayout_3.addWidget(self.removeAllButton)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem1)
        self.verticalLayout.addLayout(self.horizontalLayout_3)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HistoryDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(HistoryDialog)
        self.buttonBox.accepted.connect(HistoryDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HistoryDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HistoryDialog)
        HistoryDialog.setTabOrder(self.searchEdit, self.historyTree)
        HistoryDialog.setTabOrder(self.historyTree, self.removeButton)
        HistoryDialog.setTabOrder(self.removeButton, self.removeAllButton)
        HistoryDialog.setTabOrder(self.removeAllButton, self.buttonBox)

    def retranslateUi(self, HistoryDialog):
        _translate = QtCore.QCoreApplication.translate
        HistoryDialog.setWindowTitle(_translate("HistoryDialog", "Manage History"))
        self.searchEdit.setToolTip(_translate("HistoryDialog", "Enter search term for history entries"))
        self.removeButton.setToolTip(_translate("HistoryDialog", "Press to remove the selected entries"))
        self.removeButton.setText(_translate("HistoryDialog", "&Remove"))
        self.removeAllButton.setToolTip(_translate("HistoryDialog", "Press to remove all entries"))
        self.removeAllButton.setText(_translate("HistoryDialog", "Remove &All"))
from eric7.EricWidgets.EricTreeView import EricTreeView
